Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class DependsOnTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.DependsOnTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, DependsOnType<T>

    public class DependsOnTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, DependsOnType<T>

This class implements the `depends-onType` xsd type

Original Documentation:

The depends-onType is used to express initialization
ordering dependencies between Singleton components.
The depends-onType specifies the names of one or more
Singleton beans in the same application as the referring
Singleton, each of which must be initialized before
the referring bean.
Each dependent bean is expressed using ejb-link syntax.
The order in which dependent beans are initialized at
runtime is not guaranteed to match the order in which
they are listed.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`DependsOnTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`DependsOnTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getEjbNameList()` Returns all `ejb-name` elements
`DependsOnType<T>` | `removeAllEjbName()` Removes the `ejb-name` element
`DependsOnType<T>` | `setEjbName(java.lang.String ejbName)` Creates a new `ejb-name` element
`DependsOnType<T>` | `setEjbNameList(java.lang.String... values)` Creates for all String objects representing `ejb-name` elements, a new `ejb-name` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependsOnTypeImpl

    public DependsOnTypeImpl(T t,
                             java.lang.String nodeName,
                             org.jboss.shrinkwrap.descriptor.spi.Node node)

### DependsOnTypeImpl

    public DependsOnTypeImpl(T t,
                             java.lang.String nodeName,
                             org.jboss.shrinkwrap.descriptor.spi.Node node,
                             org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setEjbName

    public DependsOnType<T> setEjbName(java.lang.String ejbName)

  Creates a new `ejb-name` element

  Specified by:
    `setEjbName` in interface `DependsOnType<T>`
  Returns:
    the current instance of `DependsOnType`

### setEjbNameList

    public DependsOnType<T> setEjbNameList(java.lang.String... values)

  Creates for all String objects representing `ejb-name` elements, a new `ejb-name` element

  Specified by:
    `setEjbNameList` in interface `DependsOnType<T>`
  Parameters:
    `list` - of `ejb-name` objects
  Returns:
    the current instance of `DependsOnType`

### removeAllEjbName

    public DependsOnType<T> removeAllEjbName()

  Removes the `ejb-name` element

  Specified by:
    `removeAllEjbName` in interface `DependsOnType<T>`
  Returns:
    the current instance of `DependsOnType`

### getEjbNameList

    public java.util.List<java.lang.String> getEjbNameList()

  Returns all `ejb-name` elements

  Specified by:
    `getEjbNameList` in interface `DependsOnType<T>`
  Returns:
    list of `ejb-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD